#include <bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> A){
    vector<int> perm;
    int n = A.size();
    if(n==1){
        return {0};
    }
    int sum = 0;
    for(auto x : A){
        sum+=x;
    }
    int bestcnt = -1;
    int best = -1;
    for(int i=1; i<(1<<n); i++){
        int s = 0, cnt = 0, mn = 1e9+12;
        for(int bit=0; bit<n; bit++){
            if(i&(1LL<<bit)){
                s+=A[bit];
                mn=min(mn,A[bit]);
                cnt++;
            }
        }
        if(s<(sum+1)/2 || s-mn>=(sum+1)/2){
            continue;
        }
        cnt = i;
        if((bestcnt == -1) ||abs(cnt-(n-cnt))<bestcnt){
            bestcnt = abs(cnt-(n-cnt));
            best = i;
        }
    }
    vector<bool> used(n,false);
    vector<int> ans;
    for(int bit=0; bit<n; bit++){
        if(best&(1<<bit)){
            ans.push_back(bit);
            used[bit]=true;
        }
    }
    for(int i=0; i<n; i++){
        if(!used[i]){
            ans.push_back(i);
        }
    }
    //cout << bestcnt << endl;
    return ans;
}
/*int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin >> t ;
    for (int test=1; test<=t; test++) {
        int n;
        cin >> n ;
        vector <int> a(n);
        for (int i=0; i<n; i++) {
            cin >> a[i] ;
        }

        for (auto ind : solve(a)) {
            cout << ind << " ";
        }
        cout << endl ;
    }
    cout << endl ;
    return 0;
}*/
